//  YOODA : Yet another Object Oriented Database
//    Copyright (C) 1994  Eric Abecassis

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.

// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free
// Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 


#define __GLOBAL_DEFINITION__
#ifdef __GNUG__
#pragma implementation "hem.hxx"
#endif
#ifdef __GNUG__
#pragma implementation "hem.cc"
#endif
#ifdef __GNUG__
#pragma implementation "set.hxx"
#endif
#ifdef __GNUG__
#pragma implementation "listtempl.hxx"
#endif

#include <unistd.h>

#ifndef __hem_HXX
#include "hem.hxx"
#endif
#ifndef __hem_CC
#include "hem.cc"
#endif
#ifndef __virtualmemory_HXX
#include "virtualmemory.hxx"
#endif
#ifndef __dbvue_HXX
#include "dbvue.hxx"
#endif
#ifndef __yooexcept_HXX
#include "yooexcept.hxx"
#endif
#ifndef __oid_HXX
#include "oid.hxx"
#endif
#ifndef __define_H
#include "define.h"
#endif
#ifndef __config_H
#include "config.h"
#endif
#ifndef __var_H
#include "var.h"
#endif
#ifndef __set_HXX
#include "set.hxx"
#endif
#ifndef __list_HXX
#include "list.hxx"
#endif
#ifndef __pagehdl_HXX
#include "pagehdl.hxx"
#endif
#ifndef __cluster_HXX
#include "cluster.hxx"
#endif
#ifndef __class_HXX
#include "class.hxx"
#endif


template class ListVal<ServerDBVue::WritePage> ;
template class IterListVal<ServerDBVue::WritePage> ;

template class ListPtr<VirtualDBMemory::Mapping> ;
template class IterListPtr<VirtualDBMemory::Mapping> ;

template class ListVal<PID> ;
template class ListPtr<PageHdlMem> ;
template class IterListPtr<PageHdlMem> ;
template class IterListVal<PID> ;
template class ListVal<DBVue> ;
template class IterListVal<DBVue> ;
template class ListPtr<Volume> ;
template class IterListPtr<Volume> ;

template SvcSocket& operator<<(SvcSocket&, const ListVal<PID>&) ;
template SvcSocket& operator>>(SvcSocket&, ListVal<PID>&) ;

template class HEM_Node<8, PageHdl> ;
template class HEM_Node<4, PageHdlMem> ;
template class HEM_Node<8, BlocAllocator> ;
template class HEM_Position<8, PageHdl> ;
template class HEM_Position<8, BlocAllocator> ;
template class HEM<65536,8,PageHdl,PID> ;
template class HEM<256,4,PageHdlMem,SetIdent> ;
template class HEM<256,8,BlocAllocator,OID> ;
template class IterHEM<65536,8,PageHdl,PID> ;
template class IterHEM<256,8,BlocAllocator,OID> ;

